#
# This file is part of the DATAtourisme project.
# 2022
# @author Conjecto <contact@conjecto.com>
# SPDX-License-Identifier:  GPL-3.0-or-later
# For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
#

log4j.rootLogger=ERROR, stdout, stderr

log4j.appender.stdout = org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Threshold = TRACE
log4j.appender.stdout.Target   = System.out
log4j.appender.stdout.layout = org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern = %d [%p] %m%n
log4j.appender.stdout.filter.filter1=org.apache.log4j.varia.LevelRangeFilter
log4j.appender.stdout.filter.filter1.levelMin=TRACE
log4j.appender.stdout.filter.filter1.levelMax=INFO

log4j.appender.stderr = org.apache.log4j.ConsoleAppender
log4j.appender.stderr.Threshold = WARN
log4j.appender.stderr.Target   = System.err
log4j.appender.stderr.layout = org.apache.log4j.PatternLayout
log4j.appender.stderr.layout.ConversionPattern = %d [%p] %m%n

# show worker & job log
log4j.additivity.fr.datatourisme.worker = false
log4j.logger.fr.datatourisme.worker=INFO, stdout, stderr

# show start server
log4j.additivity.fr.datatourisme.command = false
log4j.logger.fr.datatourisme.command=INFO, stdout, stderr

# show messaging messages
log4j.additivity.fr.datatourisme.messaging = false
log4j.logger.fr.datatourisme.messaging=INFO, stdout, stderr